//
//  ECTemplateSourceItem.m
//  Etokicho
//
//  Created by 二鏡 on 11/11/17.
//  Copyright (c) 2011年 二鏡庵. All rights reserved.
//

#import "ECTemplateSourceItem.h"


@implementation ECTemplateSourceItem
@dynamic path;

- (void)setIsFolder:(BOOL)flag
{
    ;
}

- (BOOL)isFolder
{
    return NO;
}

- (id)imageRepresentation
{
    id path = [self primitiveValueForKey: @"path"];
    return [path stringByAppendingPathComponent: @"thumbnail.jpg"];
}

- (NSString*)imageRepresentationType
{
    return IKImageBrowserPathRepresentationType;
}

- (NSString*)imageUID
{
    return [self primitiveValueForKey: @"path"];
}

- (NSString*)imageTitle
{    
    return [[[self primitiveValueForKey: @"path"] lastPathComponent] stringByDeletingPathExtension];
}
@end
